/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\            Engine            /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef ENGINE_H_
#define ENGINE_H_
/* Header Files */
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <curses.h>
#include <unistd.h>

/* Define */
#define H  11
#define A  11
#define D  -7
#define C   7
#define E  12
/* Define C */
#define C0  0
#define C1  1
#define C2  2
#define C4  4
#define C8  8

/*---------------------------------------------------------------------------*/

/* Variables */
char matrix[H][C2][C2][C2];
char amove[100];

/*---------------------------------------------------------------------------*/

/* Function */
void formel(int n,int r);
void engine(int *ES,int *FE);
void king(int *ES,int *FE);
void queen(int *ES,int *FE);
void turm(int *ES,int *FE);
void springer(int *ES,int *FE);
void bishop(int *ES,int *FE);
void peopleW(int *ES,int *FE);
void peopleB(int *ES,int *FE);
void selectsort(int *cbit, int R1);
void insertsort(int *cbit, int L1);
void squares(int *ES, int *FE, int *cbit, char *player);
void diagonal(int *ES, int *FE, int *cbit, char *player);
void circle(int *ES, int *FE, int *cbit, char *player);
void sort(char *nmove, char *player);

/*---------------------------------------------------------------------------*/

#endif
